<?php
include("include/data.php");
Init_boutique();
global $base, $MySQL_Host, $MySQL_User, $MySQL_Passw, $myart, $A_NumArt,$i, $result, $NbLigne, 
$mygroupeart, $mysousgroupeart, $semaine, $limitesuivante, $limiteprecedente, $limite, $total, 
$page, $Nom_Client, $NumAbat;
// entete de la page
//include 'menu/header.php';

$date = date("d-m-Y");

// menu haut new-supp-modif

echo "<center><br>";

/*
http://192.168.1.200/orius/ajout_entre_stock_temp.php?
date_lot_entre=2017-07-14
num_client_entre=8
dlc_plu_temp=15
num_lot_entre=H24141817
num_trace_entre=165T
num_plu_saisie=42
poids_saisie=0.242
pi_saisie=1
*/

if (isset($_GET['date_lot_entre']) ){
$date_lot_entre = $_GET['date_lot_entre'];
} else {
$date_lot_entre = $date ;
}

if (isset($_GET['num_client_entre'])){
  $num_client_entre =$_GET['num_client_entre'];
} else {
  $num_client_entre = '';
}

if (isset($_GET['num_lot_entre'])){
  $num_lot_entre =$_GET['num_lot_entre'];
} else {
  $num_lot_entre = '';
}

if (isset($_GET['num_trace_entre']) ){
$num_trace_entre = $_GET['num_trace_entre'];
} else {
$num_trace_entre = '';
}

if (isset($_GET['num_plu_saisie']) ){
$num_plu_saisie = $_GET['num_plu_saisie'];
} else {
$num_plu_saisie = '';
}

if (isset($_GET['poids_saisie']) ){
$poids_saisie = $_GET['poids_saisie'];
} else {
$poids_saisie = '';
}

if (isset($_GET['pi_saisie']) ){
$pi_saisie = $_GET['pi_saisie'];
} else {
$pi_saisie = '';
}

if (isset($_GET['dlc_plu_temp']) ){
$dlc_plu_temp = $_GET['dlc_plu_temp'];
} else {
$dlc_plu_temp = '';
}

$dlc_temp = date("Y-m-d", strtotime($date_lot_entre)+ (24 * 3600 * $dlc_plu_temp));

Echo "<center><font color='red'>Enregistrement</font></center>";

echo "<br>";
echo "id_plu ? : ".$num_plu_saisie." <br>";
echo "poids_qtv ? : ".$poids_saisie." <br>";
echo "qte_qtv ? : ".$pi_saisie." <br>";
echo "Num client : ".$num_client_entre." <br>";
echo "Num Lot : ".$num_lot_entre." <br>";
echo "Date Etiquetage : ".$date_lot_entre." <br>";
echo "Nb Jours DLC : ".$dlc_plu_temp." <br>";
echo "Date Dlc : ".$dlc_temp." <br>";
// Ajout table temporaire Stock

$last_num_entre = 0 ;
$sql = "SELECT max(num_ligne) FROM temp_entre_stock";  
$req = mysqli_query($link, $sql); 
$row = mysqli_fetch_row($req);
$last_num_entre = $row[0];
$last_num_entre = $last_num_entre + 1 ;

$sql1 = "INSERT INTO temp_entre_stock VALUES ( 
'".$last_num_entre."', 
'".$IdNumClient."', 
'".$date_lot_entre."', 
'".$dlc_temp."', 
'".$num_lot_entre."',
'".$num_trace_entre."',
'".$num_client_entre."',
'".$num_plu_saisie."',
'".$poids_saisie."',
'".$pi_saisie."')";

echo "requet : ".$sql1." <br>";

$res = mysqli_query($link, $sql1); 

echo "resultat requet : ".$res." <br>";

http://192.168.1.200/orius/stock_entre.php?date_lot_entre=2017-07-14&num_client_entre=8&num_lot_entre=H24141817&num_trace_entre=165T&Cbarre_entre=2900042002421&num_plu_saisie=42&poids_saisie=0.242&pi_saisie=10

Header("Location:  stock_entre.php?date_lot_entre=$date_lot_entre&num_client_entre=$num_client_entre&num_lot_entre=$num_lot_entre&num_trace_entre=$num_trace_entre");
?>